{% set CodiceModulo = "STU-EDI-VIE" %}
{% set Urn =  "document:c_b406:edilizia.privata;ulteriori.vie;dichiarazione.sostitutiva" %}{% extends "base.html" %}
{% set Urn_procedimento = "" %}
{% block meta %}<meta campi_firma="TitolareNonImportare_CodiceFiscale"
classi_modulo="Generale"
trattamento_dati="PERSONALI"
codice_modulo="{{ CodiceModulo }}"
urn="{% block urn %}{{ Urn }}{% endblock urn %}"
urn_procedimento="{% block urn_procedimento %}{{ Urn_procedimento }}{% endblock urn_procedimento %}"
urn_procedimento_list=""
descrizione="Ulteriori vie oggetto del procedimento"
destinatario_amministrazione=""
destinatario_ufficio=""
dinamico="SI"
email_a=""
ente_abilitato="TUTTI"
filigrana="NO"
firmare="P7M_ELETTRONICA"
istruzioni_compilazione=""
istruzioni_invio=""
metodo_invio=""
name="GLOBO_modulo"
procura="NO,,"
tipo_modulo="secondario"
ufficio=""
verifica_pagamento="NO"
versione="1.0|05/04/2018"/>

<script type="text/javascript">

  function GetNotNullFloatFromValue(value) {

    var floatValue = value.replace(",", ".");

    if(floatValue!=='' && !isNaN(floatValue)) {
      return parseFloat(floatValue);
    }
    else {
      return 0;
    }

  }

</script>

{% endblock meta %}
{% block title %}
   Ulteriori vie oggetto del procedimento
  {% endblock title %}
{% block content %}
 <globo_fondo_pagina areaheight="150" scope="3">
  {{ utils.firma() }}
 </globo_fondo_pagina>
{{intestazioni.intestazione_modulosecondario_senzabollo()}}
 <input id="Oggetto" name="Oggetto" type="hidden" value="" dynamic_value="#TitolareNonImportare_Cognome.value().toUpperCase() + ' ' + #TitolareNonImportare_Nome.value().toUpperCase() + ' - ulteriori vie'"/>
 <h1 class="Modulo">
  Ulteriori vie oggetto del procedimento
 </h1>
 {{anagrafica.cognome_nome("TitolareNonImportare","Il sottoscritto", "Richiedente", "visibility:visibility", "cursor:default")}} 
{{ utils.Dichiara_445() }}
 <p class="Modulo">
  che il procedimento riguarda anche le seguenti vie.
 </p>
 
 {% for i in range(3, 13) %}
  
 <table class="Modulo" style="border: 1px solid grey;">
   <tbody>
     <tr class="Rigaintestazione">
       <td colspan="6">
         <p class="Labeltabella">
           {% if i==3 %}
             <input id="Immobile{{ i }}_DatiObbligatori" name="Immobile{{ i }}_DatiObbligatori" type="checkbox" value="SI" checked="checked" dynamic_check="true" style="display: none;"/>
             ulteriore via oggetto dell'intervento
           {% else %}
             <input id="Immobile{{ i }}_DatiObbligatori" name="Immobile{{ i }}_DatiObbligatori" type="checkbox" value="SI"/>
             ulteriore via oggetto dell'intervento
           {% endif %}
         </p>
       </td>
     </tr>
     <tr class="Rigaintestazioneridotta">
       <td style="width: 8%;">
         <p class="Labelcella">
           Provincia
         </p>
       </td>
       <td style="width: 30%;">
         <p class="Labelcella">
           Comune
         </p>
       </td>
       <td style="width: 38%;">
         <p class="Labelcella">
           Indirizzo
         </p>
       </td>
       <td style="width: 8%;">
         <p class="Labelcella">
           Civico
         </p>
       </td>
       <td style="width: 8%;">
         <p class="Labelcella">
           Barrato
         </p>
       </td>
       <td style="width: 8%;">
         <p class="Labelcella">
           Piano
         </p>
       </td>
     </tr>
     <tr>
       <td mandatory_enabled="#Immobile{{ i }}_DatiObbligatori.checked()">
         {{ utils.provincie("Immobile" ~ i ~ "_Provincia", "Provincia") }}
       </td>
       <td>
         <select class="inputNormal" id="Immobile{{ i }}_Comune" name="Immobile{{ i }}_Comune" style="width:100%" label="Comune" dynamic_value="getComuniFromProvincia(#Immobile{{ i }}_Provincia.value(), 'Immobile{{ i }}_Comune')" mandatory_enabled="#Immobile{{ i }}_DatiObbligatori.checked()"></select>
       </td>
       <td>
         <input class="inputNormal" id="Immobile{{ i }}_Via" name="Immobile{{ i }}_Via" style="width: 100%;" label="Indirizzo" mandatory_enabled="#Immobile{{ i }}_DatiObbligatori.checked()">
       </td>
       <td>
         <input class="inputNormal" id="Immobile{{ i }}_Civico" name="Immobile{{ i }}_Civico" style="width: 100%;" label="Civico" mandatory_enabled="#Immobile{{ i }}_DatiObbligatori.checked()">
       </td>
       <td>
         <input class="inputNormal" id="Immobile{{ i }}_Barrato" name="Immobile{{ i }}_Barrato" style="width: 100%;" label="Barrato" enabled="#Immobile{{ i }}_DatiObbligatori.checked()">
       </td>
       <td>
         <input class="inputNormal" id="Immobile{{ i }}_Piano" name="Immobile{{ i }}_Piano" style="width: 100%;" label="Piano" enabled="#Immobile{{ i }}_DatiObbligatori.checked()">
       </td>
     </tr>
   </tbody>
 </table>
 
 <table class="Modulo" style="border: 1px solid grey; margin-top: -1px;">
  <tbody>
    <tr class="Rigaintestazioneridotta">
      <td colspan="2">
        <p class="Labelcella">
          Zona di scavo
        </p>
      </td>
      <td>
        <p class="Labelcella">
          Tipologia fondo (asfalto, betonelle, ecc.)
        </p>
      </td>
      <td style="width: 16%;">
        <p class="Labelcella">
          Lunghezza
        </p>
      </td>
      <td style="width: 16%;">
        <p class="Labelcella">
          Larghezza
        </p>
      </td>
      <td style="width: 16%;">
        <p class="Labelcella">
          Superficie
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <div id="Tassonomia_Oggetto{{ i }}_Zona" name="Tassonomia_Oggetto{{ i }}_Zona" label="Zona di scavo" mandatory_enabled="#Immobile{{ i }}_DatiObbligatori.checked()"></div>
        <input group="Tassonomia_Oggetto{{ i }}_Zona" id="Tassonomia_Oggetto{{ i }}_Zona1" name="Tassonomia_Oggetto{{ i }}_Zona1" type="checkbox" value="SI"/>
      </td>
      <td>
        <p>
          marciapiede
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona1_TipologiaFondo" name="Parametri_Oggetto{{ i }}_Zona1_TipologiaFondo" style="width: 100%;" label="Tipologia fondo" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona1.checked()">
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona1_Lunghezza" name="Parametri_Oggetto{{ i }}_Zona1_Lunghezza" style="width: 70%;" label="Lunghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona1.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona1_Larghezza" name="Parametri_Oggetto{{ i }}_Zona1_Larghezza" style="width: 70%;" label="Larghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona1.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona1_Superficie" name="Parametri_Oggetto{{ i }}_Zona1_Superficie" style="width: 70%;" label="Superficie" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona1.checked()"> m²
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input group="Tassonomia_Oggetto{{ i }}_Zona" id="Tassonomia_Oggetto{{ i }}_Zona2" name="Tassonomia_Oggetto{{ i }}_Zona2" type="checkbox" value="SI"/>
      </td>
      <td>
        <p>
          carreggiata
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona2_TipologiaFondo" name="Parametri_Oggetto{{ i }}_Zona2_TipologiaFondo" style="width: 100%;" label="Tipologia fondo" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona2.checked()">
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona2_Lunghezza" name="Parametri_Oggetto{{ i }}_Zona2_Lunghezza" style="width: 70%;" label="Lunghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona2.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona2_Larghezza" name="Parametri_Oggetto{{ i }}_Zona2_Larghezza" style="width: 70%;" label="Larghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona2.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona2_Superficie" name="Parametri_Oggetto{{ i }}_Zona2_Superficie" style="width: 70%;" label="Superficie" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona2.checked()"> m²
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input group="Tassonomia_Oggetto{{ i }}_Zona" id="Tassonomia_Oggetto{{ i }}_Zona3" name="Tassonomia_Oggetto{{ i }}_Zona3" type="checkbox" value="SI"/>
      </td>
      <td>
        <p>
          pista ciclabile
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona3_TipologiaFondo" name="Parametri_Oggetto{{ i }}_Zona3_TipologiaFondo" style="width: 100%;" label="Tipologia fondo" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona3.checked()">
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona3_Lunghezza" name="Parametri_Oggetto{{ i }}_Zona3_Lunghezza" style="width: 70%;" label="Lunghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona3.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona3_Larghezza" name="Parametri_Oggetto{{ i }}_Zona3_Larghezza" style="width: 70%;" label="Larghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona3.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona3_Superficie" name="Parametri_Oggetto{{ i }}_Zona3_Superficie" style="width: 70%;" label="Superficie" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona3.checked()"> m²
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input group="Tassonomia_Oggetto{{ i }}_Zona" id="Tassonomia_Oggetto{{ i }}_Zona4" name="Tassonomia_Oggetto{{ i }}_Zona4" type="checkbox" value="SI"/>
      </td>
      <td>
        <p>
          parcheggio
        </p>
      </td>
      <td>
        <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona4_TipologiaFondo" name="Parametri_Oggetto{{ i }}_Zona4_TipologiaFondo" style="width: 100%;" label="Tipologia fondo" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona4.checked()">
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona4_Lunghezza" name="Parametri_Oggetto{{ i }}_Zona4_Lunghezza" style="width: 70%;" label="Lunghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona4.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona4_Larghezza" name="Parametri_Oggetto{{ i }}_Zona4_Larghezza" style="width: 70%;" label="Larghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona4.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona4_Superficie" name="Parametri_Oggetto{{ i }}_Zona4_Superficie" style="width: 70%;" label="Superficie" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona4.checked()"> m²
        </p>
      </td>
    </tr>
    <tr>
      <td style="vertical-align: top; width: 4%;">
        <input group="Tassonomia_Oggetto{{ i }}_Zona" id="Tassonomia_Oggetto{{ i }}_Zona5" name="Tassonomia_Oggetto{{ i }}_Zona5" type="checkbox" value="SI"/>
      </td>
      <td colspan="2">
        <p>
          verde pubblico
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona5_Lunghezza" name="Parametri_Oggetto{{ i }}_Zona5_Lunghezza" style="width: 70%;" label="Lunghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona5.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona5_Larghezza" name="Parametri_Oggetto{{ i }}_Zona5_Larghezza" style="width: 70%;" label="Larghezza" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona5.checked()"> m
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_Zona5_Superficie" name="Parametri_Oggetto{{ i }}_Zona5_Superficie" style="width: 70%;" label="Superficie" format="positive_float" mandatory_enabled="#Tassonomia_Oggetto{{ i }}_Zona5.checked()"> m²
        </p>
      </td>
    </tr>
    <tr>
      <td colspan="5">
        <p>
          <i>Totale</i>
        </p>
      </td>
      <td>
        <p>
          <input class="inputNormal" id="Parametri_Oggetto{{ i }}_SuperficieTotale" name="Parametri_Oggetto{{ i }}_SuperficieTotale" style="width: 70%;" label="Superficie totale" readonly="readonly" dynamic_value="(GetNotNullFloatFromValue(#Parametri_Oggetto{{ i }}_Zona1_Superficie.value()) + GetNotNullFloatFromValue(#Parametri_Oggetto{{ i }}_Zona2_Superficie.value()) + GetNotNullFloatFromValue(#Parametri_Oggetto{{ i }}_Zona3_Superficie.value()) + GetNotNullFloatFromValue(#Parametri_Oggetto{{ i }}_Zona4_Superficie.value()) + GetNotNullFloatFromValue(#Parametri_Oggetto{{ i }}_Zona5_Superficie.value())).toFixed(2)"> m²
        </p>
      </td>
    </tr>
  </tbody>
</table> 
<br>
 {% endfor %}

<br/>
  {{ utils.firma_hidden() }}
<br/>
 <p class="Modulo">
  <input id="SalvaModulo" name="SalvaModulo" style="height:30px;width:120px;" title="Verifica la corretta compilazione dei campi e salva il modulo nel faldone virtuale dell'istanza." type="submit" value="Salva modulo"/>
 </p>
 <input id="GLOBO_modulo_c{{ CodiceModulo }}" name="GLOBO_modulo_c{{ CodiceModulo }}" type="hidden" value=""/>
 <input id="GLOBO_id_padre" name="GLOBO_id_padre" type="hidden"/>
 <input id="GLOBO_recupera_dati" name="GLOBO_recupera_dati" type="hidden"/>
 <input id="GLOBO_codice_modulo" name="GLOBO_codice_modulo" type="hidden" value="{{ CodiceModulo }}"/>
{% endblock content %}
